myDC.ru

Здравствуйте, гость ( Вход | Регистрация )

 
 
Ответить в данную темуНачать новую тему

> LuaSec, win32 - API2 | TLS/SSL/HTTPS

Теги
Нет тегов для показа
Setuper
сообщение 27.4.2010, 2:38
Сообщение #1


RusHub team lead
**************

Группа: Модераторы
Сообщений: 4 030
Регистрация: 20.6.2008
Из: г. Королёв (Моск. обл.)
Пользователь №: 46
Спасибо сказали: 1707 раз




Название: LuaSec
Версия: 0.4
Версия lua: 5.1
Версия API: 2
Разрядность ОС: 32
Описание: OpenSSL библиотека для обеспечения TLS/SSL соединений.
Протестировано: на PtokaX 0.4.1.1
Копирайт: Copyright © 2006-2009 Bruno Silvestre

Установка: Скопируйте в папку libs файлы ssl.lua и ssl.dll, а также ssl/https.lua для возможности работать с https. Файлы libeay32.dll и ssleay32.dll необходимо разместить рядом с исходником ptokax.exe (ну или как альтернатива - забросить в папку system32 big_smile.gif (на ваше усмотрение)). Подключается библиотека так: require"ssl". Примеры работы с библиотекой можно найти в архиве samples.


Прикрепленный файл  LuaSec.rar ( 566.94 килобайт ) Кол-во скачиваний: 216

Прикрепленный файл  samples.rar ( 27.67 килобайт ) Кол-во скачиваний: 120



Спасибо сказали:
Go to the top of the page
+Quote Post
mariner
сообщение 27.4.2010, 13:32
Сообщение #2


Местная ТехПоддержка
**********

Группа: Администраторы
Сообщений: 1 874
Регистрация: 18.7.2008
Из: Моск. Обл, г. королев, район Болшево
Пользователь №: 221
Спасибо сказали: 220 раз




Для того, чтобы поставить это в Debian\*buntu необходимо набрать:
Код
sudo apt-get install liblua5.1-sec1


Спасибо сказали:
Go to the top of the page
+Quote Post
Setuper
сообщение 27.4.2010, 19:23
Сообщение #3


RusHub team lead
**************

Группа: Модераторы
Сообщений: 4 030
Регистрация: 20.6.2008
Из: г. Королёв (Моск. обл.)
Пользователь №: 46
Спасибо сказали: 1707 раз




Кто-нибудь пробовал юзать?
У меня нет уверенности, что будет всё правильно пахать.

Кто-то взболтнул PPK, что передача параметров через регистр намного эффективнее, чем через стек.
Может оно и так, но сразу же появляется полно несовместимостей с различными библиотеками. Весь мир пишет проги с передачей параметров через стек и никто не жалуется, а в птохе не как у всех.
Go to the top of the page
+Quote Post
mariner
сообщение 27.4.2010, 19:49
Сообщение #4


Местная ТехПоддержка
**********

Группа: Администраторы
Сообщений: 1 874
Регистрация: 18.7.2008
Из: Моск. Обл, г. королев, район Болшево
Пользователь №: 221
Спасибо сказали: 220 раз




А давай проверим на нашем хабчике на майдц, хотя и на клан-хаб можно big_smile.gif Высылай пример
Go to the top of the page
+Quote Post
alex82
сообщение 30.4.2010, 23:24
Сообщение #5


Местный
*******

Группа: Неактивированные
Сообщений: 908
Регистрация: 26.12.2008
Пользователь №: 1 574
Спасибо сказали: 1392 раза




Цитата(mariner @ 27.4.2010, 19:49) *
А давай проверим на нашем хабчике на майдц...
И что это даст? Под линуксом-то нету dll-hell'а.
Go to the top of the page
+Quote Post
mariner
сообщение 1.5.2010, 1:03
Сообщение #6


Местная ТехПоддержка
**********

Группа: Администраторы
Сообщений: 1 874
Регистрация: 18.7.2008
Из: Моск. Обл, г. королев, район Болшево
Пользователь №: 221
Спасибо сказали: 220 раз




Но luasec то есть. Что стоит проверить?
Go to the top of the page
+Quote Post
alex82
сообщение 1.5.2010, 11:04
Сообщение #7


Местный
*******

Группа: Неактивированные
Сообщений: 908
Регистрация: 26.12.2008
Пользователь №: 1 574
Спасибо сказали: 1392 раза




Цитата(mariner @ 1.5.2010, 1:03) *
Но luasec то есть. Что стоит проверить?
Насколько я понимаю, работоспособность птоковой версии библиотеки. Под линуксом не актуально, поскольку понятия "птоковая версия библиотеки" там нету как такового.
Go to the top of the page
+Quote Post
Goblin
сообщение 13.2.2011, 11:18
Сообщение #8


Продвинутый участник
****

Группа: Пользователи
Сообщений: 120
Регистрация: 30.6.2008
Пользователь №: 104
Спасибо сказали: 2 раза




Сделайте под OC x64 кому не трудно
Go to the top of the page
+Quote Post
Ksan
сообщение 7.8.2015, 9:22
Сообщение #9


Белый Волк
*********

Группа: Пользователи
Сообщений: 1 715
Регистрация: 11.9.2008
Из: г.Томск
Пользователь №: 516
Спасибо сказали: 649 раз




Цитата
[12:16:26] Синтаксис error loading module 'ssl.core' from file 'E:\SOFT\INTERNET\p2p_new\HUBS\PtokaX_0.5.0.1_mod9_x64\libs\ssl.dll':
%1 не является приложением Win32.

Кто-нибудь обошёл эту проблему?
Система - Вин 10 x64, версия Птоки написана в ошибке (в цитате).
Go to the top of the page
+Quote Post
Alexey
сообщение 11.12.2016, 20:42
Сообщение #10


7 квадратиков
*******

Группа: Модераторы
Сообщений: 792
Регистрация: 21.1.2009
Пользователь №: 1 895
Спасибо сказали: 300 раз




Установка в современных версиях Debian GNU/Linux и Ubuntu GNU/Linux:
Код
sudo apt-get install lua-sec

Установка в почти любых Unix-like OS, при наличии менеджера библиотек Lua - LuaRocks:
Код
sudo luarocks install luasec


Библиотека входит в состав набора Lua All-in-One, который используется как донор библиотек для PtokaX mod и RusHub.
Go to the top of the page
+Quote Post

Ответить в данную темуНачать новую тему
1 чел. читают эту тему (гостей: 1, скрытых пользователей: 0)
Пользователей: 0

 



RSS Сейчас: 22.10.2018, 20:43